| Haskell Hierarchical Libraries (base package) | Contents | Index

Control.Monad.Trans

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
The MonadTrans class. Inspired by the paper Functional Programming with Overloading and Higher-Order Polymorphism, Mark P Jones (http://www.cse.ogi.edu/~mpj/) Advanced School of Functional Programming, 1995.
Documentation
class MonadTrans t where

Methods

lift :: Monad m => m a -> t m a

Instances

MonadTrans (ContT r)
Error e => MonadTrans (ErrorT e)
MonadTrans ListT
Monoid w => MonadTrans (RWST r w s)
MonadTrans (ReaderT r)
MonadTrans (StateT s)
Monoid w => MonadTrans (WriterT w)

class Monad m => MonadIO m where

Methods

liftIO :: IO a -> m a

Instances

MonadIO m => MonadIO (ContT r m)
(Error e, MonadIO m) => MonadIO (ErrorT e m)
MonadIO m => MonadIO (ListT m)
(Monoid w, MonadIO m) => MonadIO (RWST r w s m)
MonadIO m => MonadIO (ReaderT r m)
MonadIO m => MonadIO (StateT s m)
MonadIO IO
(Monoid w, MonadIO m) => MonadIO (WriterT w m)

Produced by Haddock version 0.6